Bug 448214 - page content outside the margins and does not compile with texlive-2009
page content outside the margins and does not compile with texlive-2009
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 10:17 EDT by Stas Sergeev
Modified: 2013-07-02 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test-case (420 bytes, text/x-tex)
2008-05-24 10:17 EDT, Stas Sergeev
no flags Details

  None (edit)
Description Stas Sergeev 2008-05-24 10:17:39 EDT
+++ This bug was initially created as a clone of Bug #134561 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Some elements of the document processed by latex, are going
outside the page margins.
Attached is the small example.
Essentially the bottom of the page is outside the scope, and
the top is almost out either.

Version-Release number of selected component (if applicable):
tetex-2.0.2-13

How reproducible:
Always

Steps to Reproduce:
1. latex bug.tex
2. xdvi bug.dvi
    

Actual Results:  Bottom of page is outside the viewer window,
top of the page is almost out either.

Expected Results:  All the objects are within the page margins.
Uncomment the inclusion of the "geometry" package
to see how it should be (see below).

Additional info:

After some messing around, I've found out that
including the "geometry" package makes the
problem to go away. But including that package
should not be necessary, it should work properly
without that package I think.

-- Additional comment from stssppnn@yahoo.com on 2004-10-04 12:59 EST --
Created an attachment (id=104728)
the test-case


-- Additional comment from mattdm@mattdm.org on 2005-04-26 11:14 EST --
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

-- Additional comment from stssppnn@yahoo.com on 2005-05-04 23:52 EST --
> security issue and hasn't been resolved in the current FC3 updates or
> in the FC4 test release, reopen and change the version to match.
I can't change the status of that report!
I just changed the status of a few other
reports of mine, but in that report the
status change is not being saved. Looks like
a bug in a bugzilla.

-- Additional comment from stssppnn@yahoo.com on 2005-05-04 23:54 EST --
> I can't change the status of that report!
OK, with also adding the comment, the status
have changed.

-- Additional comment from jnovy@redhat.com on 2005-05-09 06:55 EST --
This is no more a problem in tetex-3.0.

-- Additional comment from mattdm@mattdm.org on 2006-07-10 18:05 EST --
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


-- Additional comment from stssppnn@yahoo.com on 2006-07-15 06:30 EST --
> This is no more a problem in tetex-3.0.
I verified the problem against FC5 - its still the same.
Btw, I have changed the e-mail and have a new account at that BTS.
How can I change the owner of that bug to stsp@aknet.ru ?

-- Additional comment from mattdm@mattdm.org on 2006-07-15 06:37 EST --
Okay, thanks. You can change your e-mail address in the bugzilla preferences.

-- Additional comment from stssppnn@yahoo.com on 2006-07-15 06:54 EST --
> You can change your e-mail address in the bugzilla preferences.
Yes, but the problem is that I registered a new account instead,
long ago, so now I can't change the e-mail address to it, as it
already exists and the two accounts can't refer to the same e-mail.

-- Additional comment from mattdm@mattdm.org on 2006-07-15 07:08 EST --
I don't the reporter can be changed easily, unfortunately.

-- Additional comment from petrosyan@gmail.com on 2008-03-10 01:02 EST --
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?

-- Additional comment from jnovy@redhat.com on 2008-03-10 02:35 EST --
This is now fixed in current TeXLive.
Comment 1 Stas Sergeev 2008-05-24 10:17:39 EDT
Created attachment 306581 [details]
test-case
Comment 2 Stas Sergeev 2008-05-24 10:18:21 EDT
Confirming the bug against texlive-2007-30.fc9.x86_64
The test-case feels slightly better now,
but still the page content is too close
to the page margins - the printer can't
handle that.
Including "geometry" package still fixes
the problem.
Comment 3 Bug Zapper 2009-06-09 21:08:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 05:12:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jindrich Novy 2009-11-18 06:22:41 EST
Could you please try with TeX Live 2009? It contains plenty of bug fixes and many of styles and utilities are far newer than obsolete TeX Live 2007.

If the page is still otside of margins please do the post on the bugzilla I'm going to duplicate this bug. If it is still not fixed, I'll discuss it upstream.

Thanks.

*** This bug has been marked as a duplicate of bug 488651 ***
Comment 6 Stas Sergeev 2009-11-18 17:42:51 EST
I tried TeX Live 2009:
texlive-2009-2.20091116.fc12.x86_64
and the test-case does not even compile!
---
(/usr/share/texlive/texmf-dist/tex/generic/babel/babel.def
! Undefined control sequence.
\main@language ...bbl@main@language \bbl@patterns 
                                                  {\languagename }
l.131 \main@language{english}
---
Soething is broken in the babel package,
it seems.
Please, fix this!
Comment 7 Stas Sergeev 2009-11-18 17:50:23 EST
I am also getting missing deps, while trying
to update:
---
libkpathsea.so.4()(64bit) is needed by package evince-dvi-2.28.1-5.fc12.x86_64
---
Comment 8 Bug Zapper 2010-11-04 07:54:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2012-08-16 17:57:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.